import vue from "rollup-plugin-vue";
import peerDepsExternal from "rollup-plugin-peer-deps-external";

export default [
  {
    input: "src/index.js",
    output: [
      {
        format: "esm",
        file: "dist/vue-draggable-grid.mjs",
      },
      {
        format: "cjs",
        file: "dist/vue-draggable-grid.js",
      },
    ],
    plugins: [vue(), peerDepsExternal()],
  },
];
